package fr.username404.snowygui.misc

import fr.username404.snowygui.ClickGui
import fr.username404.snowygui.config.Configuration
import fr.username404.snowygui.newBox
import io.github.config4k.getValue
import net.minecraft.client.Minecraft

object Storage {
    private var oldGamma = -1.0
    private const val redColor = 0x660000
    var hurtCamera: Boolean = true; private set

    private val riskyCheats: Boolean by Configuration.obtained
    fun ClickGui.addComponents() {
        addComps(
            newBox("snowy.clickbox.misc").addButtons(
                "GammaBoost" to {
                    with(Minecraft.getInstance().options) {
                        gamma = if (gamma != 1400.0) {
                            oldGamma = gamma
                            1400.0
                        } else oldGamma
                    }
                }
            ),
        )
        if (riskyCheats) {
            addComps(
                newBox("snowy.clickbox.risky.camera", color = redColor).addButtons(
                    "NoHurtCamera" to { hurtCamera = !hurtCamera }
                ),
                newBox("snowy.clickbox.risky.movement", color = redColor).addButtons(
                    "NoGravity" to { Minecraft.getInstance().player?.let { it.isNoGravity = !it.isNoGravity } }
                )
            )
        }
    }
}